libepubgen::EPUBHTMLManager Class Reference documentation

libepubgen::EPUBHTMLManager Class Reference

`#include <EPUBHTMLManager.h>`

## Public Member Functions
| EPUBHTMLManager (EPUBManifest &manifest)
const EPUBHTMLGeneratorPtr_t | create (EPUBImageManager &imageManager, EPUBFontManager &fontManager, EPUBListStyleManager &listStyleManager, EPUBParagraphStyleManager &paragraphStyleManager, EPUBSpanStyleManager &spanStyleManager, EPUBTableStyleManager &tableStyleManager, const EPUBPath &stylesheetPath, EPUBStylesMethod stylesMethod, EPUBLayoutMethod layoutMethod, int version)
void | writeTo (EPUBPackage &package)
void | writeSpineTo (EPUBXMLSink &sink)
void | writeTocTo (EPUBXMLSink &sink, const EPUBPath &tocPath, int version, EPUBLayoutMethod layout)
void | insertHeadingText (const std::string &text)
| Appends text to the title of the current heading.
bool | hasHeadingText () const
| If the current heading has a title.

## Private Member Functions
| EPUBHTMLManager (const EPUBHTMLManager &)
EPUBHTMLManager & | operator= (const EPUBHTMLManager &)

## Private Attributes
EPUBManifest & | m_manifest
std::vector< EPUBPath > | m_paths
std::vector< EPUBXMLSink > | m_contents
std::vector< std::string > | m_ids
EPUBCounter | m_number

## Constructor & Destructor Documentation

## ◆ EPUBHTMLManager() [1/2]

libepubgen::EPUBHTMLManager::EPUBHTMLManager | ( | const EPUBHTMLManager & |  | ) |
| private

Referenced by EPUBHTMLManager(), and operator=().

## ◆ EPUBHTMLManager() [2/2]

libepubgen::EPUBHTMLManager::EPUBHTMLManager | ( | EPUBManifest & | manifest | ) |
| explicit

## Member Function Documentation

## ◆ create()

const EPUBHTMLGeneratorPtr_t libepubgen::EPUBHTMLManager::create | ( | EPUBImageManager & | imageManager,
|  | EPUBFontManager & | fontManager,
|  | EPUBListStyleManager & | listStyleManager,
|  | EPUBParagraphStyleManager & | paragraphStyleManager,
|  | EPUBSpanStyleManager & | spanStyleManager,
|  | EPUBTableStyleManager & | tableStyleManager,
|  | const EPUBPath & | stylesheetPath,
|  | EPUBStylesMethod | stylesMethod,
|  | EPUBLayoutMethod | layoutMethod,
|  | int | version )

## ◆ hasHeadingText()

bool libepubgen::EPUBHTMLManager::hasHeadingText | ( |  | ) | const

If the current heading has a title.

## ◆ insertHeadingText()

void libepubgen::EPUBHTMLManager::insertHeadingText | ( | const std::string & | text | ) |

Appends text to the title of the current heading.

## ◆ operator=()

EPUBHTMLManager & libepubgen::EPUBHTMLManager::operator= | ( | const EPUBHTMLManager & |  | ) |
| private

## ◆ writeSpineTo()

void libepubgen::EPUBHTMLManager::writeSpineTo | ( | EPUBXMLSink & | sink | ) |

## ◆ writeTo()

void libepubgen::EPUBHTMLManager::writeTo | ( | EPUBPackage & | package | ) |

## ◆ writeTocTo()

void libepubgen::EPUBHTMLManager::writeTocTo | ( | EPUBXMLSink & | sink,
|  | const EPUBPath & | tocPath,
|  | int | version,
|  | EPUBLayoutMethod | layout )

## Member Data Documentation

## ◆ m_contents

std::vector<EPUBXMLSink> libepubgen::EPUBHTMLManager::m_contents
| private

Referenced by create(), EPUBHTMLManager(), and writeTo().

## ◆ m_ids

std::vector<std::string> libepubgen::EPUBHTMLManager::m_ids
| private

Referenced by create(), EPUBHTMLManager(), and writeSpineTo().

## ◆ m_manifest

EPUBManifest& libepubgen::EPUBHTMLManager::m_manifest
| private

Referenced by create(), and EPUBHTMLManager().

## ◆ m_number

EPUBCounter libepubgen::EPUBHTMLManager::m_number
| private

Referenced by create(), and EPUBHTMLManager().

## ◆ m_paths

std::vector<EPUBPath> libepubgen::EPUBHTMLManager::m_paths
| private

Referenced by create(), EPUBHTMLManager(), hasHeadingText(), insertHeadingText(), writeTo(), and writeTocTo().

The documentation for this class was generated from the following files:

- EPUBHTMLManager.h
- EPUBHTMLManager.cpp